package com.yizhi.calendar.application.feign;

import com.yizhi.calendar.application.vo.CalendarParam;
import com.yizhi.calendar.application.vo.CalendarVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "calendar", contextId = "CalendarClientxz")
public interface CalendarClient {

	/**
	 * 日历签到打卡规则回显
	 * @return
	 */
	@GetMapping("/manage/calendar/calendarPointSet/getCalendar")
	public CalendarVO getCalendar();
	
	/**
	 * 日历签到打卡规则入库
	 * @param calendarParam
	 * @return
	 */
	@PostMapping("/manage/calendar/calendarPointSet/insert")
	public Boolean insertCalendarPointSet(@RequestBody CalendarParam calendarParam);
}
