package com.yizhi.calendar.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 日历打卡积分发放设置表
 * </p>
 *
 * @author fulan123
 * @since 2019-10-10
 */
@Data
@ApiModel(value = "CalendarPointSet", description = "日历打卡积分规则设置表")
public class CalendarPointSetVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "日历id")
	private Long calendarId;

    @ApiModelProperty(value = "积分设置类型（1连续递增，2自定义）")
	private Integer setType;

    @ApiModelProperty(value = "状态 0 删除 1 有效 默认有效")
	private Integer state;
    
    @ApiModelProperty(value = "积分对应连续最小天数")
	private Integer minDate;
    
    @ApiModelProperty(value = "积分")
	private Integer point;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "创建人ID")
	private Long createById;

    @ApiModelProperty(value = "创建人名字")
	private String createByName;

    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
	private Long updateById;

    @ApiModelProperty(value = "修改人名字")
	private String updateByName;
}
